<?php

namespace Modules\Notification\Interfaces;

use Illuminate\Http\Request;
use Modules\Notification\Models\ManagementNotification;
use Modules\Notification\Models\Notification;

interface ManagementNotificationRepositoryInterface
{
    public function get(Request $request);
    public function save(Request $request, ?ManagementNotification $managementNotification): void;
}
